port = 2628 # default port
timeout = 60 # timeout for connection


# FileDb has either one or 3 arguments
# one argument:
# 'database_name' : FileDb('database_name')
# will automatically search for /usr/share/dictd/database_name.dict and
# /usr/share/dictd/database_name.pyindex
#
# three arguments:
# 'database_name' : FileDb('database_name', '/path/to/database', '/path/to/pyindex')
# in either case, if server does not find database, it will search for
# dictzipped version


databases = {
    '*'    : StarDb(),
    '!'    : BangDb(),
#    'empty' : EmptyDb('empty'),
    'web1913' : FileDb('web1913'),
    'wn' : FileDb('wn'),
    'jargon' : FileDb('jargon'),
    'foldoc' : FileDb('foldoc'),
    'gazetteer' : FileDb('gazetteer'),
    'hitchcock' : FileDb('hitchcock'),
    'elements' : FileDb('elements'),
    'vera' : FileDb('vera'),
    'mueller24' : FileDbDict('mueller24'),
    'en-fi' : FileDb('en-fi'),
    'fi-en' : FileDb('fi-en'),
    'ascii-fi-en' : FileDb('ascii-fi-en', '/usr/share/dictd/fi-en.dict', '/usr/share/dictd/ascii-fi-en.pyindex'),
    'en-hu' : FileDb('en-hu'),
    'hu-en' : FileDb('hu-en'),
    'ascii-hu-en' : FileDb('ascii-hu-en', '/usr/share/dictd/hu-en.dict', '/usr/share/dictd/ascii-hu-en.pyindex'),
    'eo-en' : FileDb('eo-en'),
    'ascii-eo-en' : FileDb('ascii-eo-en', '/usr/share/dictd/eo-en.dict', '/usr/share/dictd/ascii-eo-en.pyindex'),
    'al-en' : FileDb('al-en'),
    'ascii-al-en' : FileDb('ascii-al-en', '/usr/share/dictd/al-en.dict', '/usr/share/dictd/ascii-al-en.pyindex'),
    'en-al' : FileDb('en-al'),
    'it-en' : FileDb('it-en'),
    'ascii-it-en' : FileDb('ascii-it-en', '/usr/share/dictd/it-en.dict', '/usr/share/dictd/ascii-it-en.pyindex'),
    'en-it' : FileDb('en-it'),
    'sp-en' : FileDb('sp-en'),
    'ascii-sp-en' : FileDb('ascii-sp-en', '/usr/share/dictd/sp-en.dict', '/usr/share/dictd/ascii-sp-en.pyindex'),
    'en-sp' : FileDb('en-sp'),
    'pl-en' : FileDb('pl-en'),
    'ascii-pl-en' : FileDb('ascii-pl-en', '/usr/share/dictd/pl-en.dict', '/usr/share/dictd/ascii-pl-en.pyindex'),
    'en-pl' : FileDb('en-pl'),
    'ru-en' : FileDb('ru-en'),
    'ascii-ru-en' : FileDb('ascii-ru-en', '/usr/share/dictd/ru-en.dict', '/usr/share/dictd/ascii-ru-en.pyindex'),
    'lat-en' : FileDb('lat-en'),
#    'ang-en' : FileDb('ang-en'),
    'teos-de-sk' : FileDb('teos-de-sk'),
    'teos-sk-de' : FileDb('teos-sk-de'),
    'ascii-teos-de-sk' : FileDb('ascii-teos-de-sk', '/usr/share/dictd/teos-de-sk.dict', '/usr/share/dictd/ascii-teos-de-sk.pyindex'),
    'ascii-teos-sk-de' : FileDb('ascii-teos-sk-de', '/usr/share/dictd/teos-sk-de.dict', '/usr/share/dictd/ascii-teos-sk-de.pyindex'),
    'teos-en-sk' : FileDb('teos-en-sk'),
    'teos-sk-en' : FileDb('teos-sk-en'),
    'ascii-teos-sk-en' : FileDb('ascii-teos-sk-en', '/usr/share/dictd/teos-sk-en.dict', '/usr/share/dictd/ascii-teos-sk-en.pyindex'),
}
